package org.springblade.enums;

public enum EquipmentStatusEnum {
	/**
	 * 正常
	 */
	STATUS_RUN(0, "正常"),

	/**
	 * 故障
	 */
	STATUS_FAILURE(1, "故障");



	private int code;

	private String name;

	private EquipmentStatusEnum(int code, String name) {
		this.code = code;
		this.name = name;
	}

	/**
	 * Function:根据code来获取对应的name
	 * Author: Admin
	 * Date:2021/6/26
	 * @param code
	 * @return java.lang.String
	 * @throws Exception
	 */
	public static String getName(int code) {
		for (EquipmentStatusEnum type : EquipmentStatusEnum.values()) {
			if (type.code == code) {
				return type.name;
			}
		}
		return "";
	}

	/**
	 * Function:根据code来获取对应的枚举常量
	 * Author: Admin
	 * Date:2021/6/26
	 * @param code
	 * @return com.zhgzjg.web.enums.DeleteFlag
	 * @throws Exception
	 */
	public static EquipmentStatusEnum getEnumByCode(int code) {
		for (EquipmentStatusEnum type : EquipmentStatusEnum.values()) {
			if (type.code == code) {
				return type;
			}
		}
		return null;
	}


	/**
	 * Function:根据name来获取对应的枚举常量
	 * Author: Admin
	 * Date:2021/6/26
	 * @param name
	 * @return com.zhgzjg.web.enums.DeleteFlag
	 * @throws Exception
	 */
	public static EquipmentStatusEnum getEnumByName(String name) {
		for (EquipmentStatusEnum type : EquipmentStatusEnum.values()) {
			if (type.name.equals(name)) {
				return type;
			}
		}
		return null;
	}


	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}
